Bug 2822 - curl was updated to support c-ares [UPDATE REQUEST]
: curl was updated to support c-ares [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 14:24 MSD by Alexander Burmashev
Modified: 2013-10-16 09:46 MSD (History)
2 users (show)

See Also:
RPM Package: curl
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-10-11 14:24:58 MSD
curl was updated to support c-ares
Comment 1 Alexander Burmashev 2013-10-11 14:30:10 MSD
Advisory:
curl was updated to support c-ares
c-ares is a C library for asynchronous DNS requests (including name resolves)

Buildlists:
https://abf.rosalinux.ru/build_lists/1341744
https://abf.rosalinux.ru/build_lists/1341743
Comment 2 Dmitry 2013-10-11 14:41:20 MSD
c-ares allows usage of libcurl in multithreaded applications. Original problem with old ares described here: http://stackoverflow.com/questions/9191668/error-longjmp-causes-uninitialized-stack-frame

Here you can see http://curl.haxx.se/dev/readme-ares.html thet new versions of curl require c-ares.
Comment 3 Vladimir Potapov 2013-10-15 19:00:39 MSD
curl-7.30.0-4-rosa2012.1
******************** Advisory *******************
curl was updated to support c-ares
c-ares is a C library for asynchronous DNS requests (including name resolves)
*************************************************
QA Verified